description: Output mesh test 3d, Darcy flow- adaptive refinement, transport - uniform refinement.
mesh:
  mesh_file: ../00_mesh/cube_1x1x1_frac21.msh
flow_equation: !Flow_Darcy_MH
  input_fields:
    - region: ALL
      water_source_density: !FieldFormula
        value: if(((x-0.5)^2+(y-0.5)^2+z^2)^0.5 > 0.01, log(((x-0.5)^2+(y-0.5)^2+z^2)^0.5), log(0.01))
    - region: .BOUNDARY
      bc_type: dirichlet
      bc_pressure: !FieldFormula
        value: 0
  nonlinear_solver:
    linear_solver: !Petsc
      a_tol: 1.0e-07
  n_schurs: 2
  output:
    fields:
      - water_source_density
      - pressure_p0
      #- pressure_p1
      - velocity_p0
  output_stream:
    file: ./flow.pvd
    format: !vtk
      variant: ascii
    output_mesh:
      max_level: 3 # default value
      refine_by_error: true
      error_control_field: water_source_density
      refinement_error_tolerance: 0.05
# primary_equation

solute_equation: !Coupling_OperatorSplitting
  transport: !Solute_Advection_FV
    input_fields:
      - region: ALL
        init_conc: 0.5
      - region: .BOUNDARY
        bc_conc:
          - 0.0
    output:
      fields:
        - conc
  substances:
    - name: U235
      molar_mass: 0.235
  time:
    end_time: 1.0
  balance: {add_output_times: false}
  output_stream:
    file: transport.pvd
    format: !vtk
      variant: ascii
    times:
      - step: 1.0
    output_mesh:
      max_level: 1
      refine_by_error: false  # uniform refinement
# secondary_equation      
